Name:           gedit-developer-plugins
Version:        0.4.6
Release:        1%{?_dist_release}
Summary:        Plugins that provides additional editing, checking, and project management features to Gedit
Summary:        Gedit に付加的な編集・チェッキング・プロジェクト管理機能を提供するプラグイン

Group:          Applications/Editors
License:        GPLv2
URL:            https://launchpad.net/gdp
Source0:        http://launchpad.net/gdp/trunk/0.4.0/+download/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  gedit-devel >= 2.29.0
BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtksourceview2-devel
BuildRequires:  intltool >= 0.35.0
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-XML-Parser
BuildRequires:  python-devel
BuildRequires:  pygtk2-devel >= 2.14
BuildRequires:  python-pocket-lint

Requires:       gedit >= 2.29.0

BuildArch:  noarch

%description
Gedit Developer Plugins provides additional editing,
checking, and project management features to Gedit.

* Multi-file find and replace
* Syntax completion
* Formatting
* Project management via Bazaar DVCS


%description -l ja
Gedit Developer Plugins は付加的な編集・チェッキング・
プロジェクト管理機能を Gedit に提供します。

* 複数ファイル検索と置換
* 構文補完
* フォーマット化
* Bazaar DVCS を介したプロジェクト管理

%prep
%setup -q

%build
%configure --without-home --prefix=/usr
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_prefix}/lib/gedit-2/plugins/*
%{_datadir}/gtksourceview-2.0/*

%changelog
* Wed May 4 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.6-1
- new upstream release

* Tue Jan 25 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.4-1
- new upstream release

* Sat Aug 21 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-2
- changed %%{_prefix}/lib/gedit-2/plugins/* in %files
- changed noarch
- changed BuildRequires:  python-pocket-lint

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.4.3-1
- initial build for VineSeed
