Name:		lcdf-typetools
Version:	2.87
Release:	1%{?_dist_release}
Summary:	Tools for manipulating OpenType fonts
Group:		User Interface/X
License:	GPLv2+
URL:		http://www.lcdf.org
Source0:	http://www.lcdf.org/type/%{name}-%{version}.tar.gz
Requires:	texlive
BuildRequires:	texlive
BuildRequires:	libkpathsea-devel

%description
The LCDF Typetools package contains several programs for manipulating
PostScript Type 1, Type 1 multiple master, and PostScript-flavored OpenType
fonts.  LCDF Typetools includes the mmafm and mmpfb programs, which were
formerly distributed as part of a different package (mminstance)

%prep
%setup -q


%build
%configure 
%__make CFLAGS="%{optflags}" %{?_smp_mflags}


%install
%__make install DESTDIR=%{buildroot} INSTALL="install -p"


%files
%defattr(-,root,root,-)
%doc COPYING NEWS ONEWS README
%{_bindir}/cfftot1
%{_bindir}/mmafm
%{_bindir}/mmpfb
%{_bindir}/otfinfo
%{_bindir}/otftotfm
%{_bindir}/t1dotlessj
%{_bindir}/t1lint
%{_bindir}/t1reencode
%{_bindir}/t1testpage
%{_bindir}/ttftotype42
%{_bindir}/t1rawafm
%{_mandir}/man*/*
%{_datadir}/lcdf-typetools

%changelog
* Mon May 02 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2.87-1
- initial build

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.87-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Parag Nemade <pnemade AT redhat.com> - 2.87-1
- Update to next upstream release 2.87

* Mon Dec 13 2010 Parag Nemade <pnemade AT redhat.com> - 2.85-1
- Update to next upstream release 2.85

* Wed Sep 29 2010 jkeating - 2.84-2
- Rebuilt for gcc bug 634757

* Fri Sep 17 2010 Parag Nemade <pnemade AT redhat.com> - 2.84-1
- Update to next upstream release 2.84

* Mon Aug 02 2010 Parag Nemade <pnemade AT redhat.com> - 2.83-1
- Update to next upstream release 2.83

* Wed Dec 02 2009 Parag Nemade <pnemade AT redhat.com>- 2.80-1
- Update to next upstream release 2.80

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.79-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 13 2009 Parag Nemade <pnemade AT redhat.com>- 2.79-1
- Update to next upstream release 2.79

* Thu May 21 2009 Parag Nemade <pnemade AT redhat.com>- 2.78-1
- Initial specfile for Fedora
