# -*- coding: utf-8-unix -*-
# TODO: libdc1394(juju), libcaca, modularization (vlc-plugin-foo)

#% define with_internal_live555 		0
#% define live555_date	2008.07.25
#% define vlc_git				0
#% define vlc_date	20080915
#% define with_mozilla	 		1
%define with_mozilla	 		0
%define with_dc1394			0

%define with_samba			0

Summary:	Multi-platform MPEG, DVD, and DivX player
Name:		vlc
Version:	1.1.9
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://www.videolan.org/
Source0:	http://download.videolan.org/pub/videolan/vlc/%{version}/vlc-%{version}.tar.bz2
# %if %with_internal_live555
# Source2:	http://www.live555.com/liveMedia/public/live.%{live555_date}.tar.gz
# %endif

# vlc_patch_0.02/vlc118.diff
Source10: http://2sen.dip.jp/cgi-bin/dtvup/source/up0617.zip

Patch0:		vlc-1.1.0-vlc-cache-gen_noerror.patch
Patch3:		vlc-1.1.6-hardode_font_patch.patch
Patch4:		vlc-1.1.4-tls_path.patch
#Patch5:         vlc-1.1.8-bugfix.opencv22.patch

## vine
Patch50:	vlc-1.1.7-revert-pulse-c.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	unzip
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
#BuildRequires:  prelink

BuildRequires:	gettext-devel
BuildRequires:	libtool

#BuildRequires:	a52dec-devel
BuildRequires:	aalib-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	avahi-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  dbus-devel
%{?_with_dirac: BuildRequires: dirac-devel >= 1.0.0}
#BuildRequires:  directfb-devel
BuildRequires:  libdirectfb-devel
#BuildRequires:	faac-devel
#BuildRequires:	faad2-devel
#BuildRequires:	ffmpeg-devel >= 0.4.9-0
BuildRequires:	flac-devel
##!! BuildRequires:  fluidsynth-devel
BuildRequires:	fribidi-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:	gnutls-devel >= 1.0.17
BuildRequires:	gsm-devel
BuildRequires:	hal-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:  libavc1394-devel
BuildRequires:	libass-devel >= 0.9.7
##!! BuildRequires:	libcaca-devel
BuildRequires:	libcddb-devel
BuildRequires:	libcdio-devel >= 0.77-3
BuildRequires:	libdc1394-devel >= 2.1.0
#BuildRequires:	libdca-devel
BuildRequires:	libdv-devel
#BuildRequires:	libdvbpsi-devel
#BuildRequires:	libdvdnav-devel
BuildRequires:	libdvdread-devel
BuildRequires:  libebml-devel
BuildRequires:	libid3tag-devel
%{?_with_kate:  BuildRequires: libkate-devel}
#BuildRequires:	libmad-devel
BuildRequires:	libmatroska-devel >= 0.7.6
BuildRequires:	libmodplug-devel
#BuildRequires:	libmp4v2-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmtp-devel
BuildRequires:  libnotify-devel
##!! BuildRequires:	libprojectM-qt-devel
BuildRequires:  libproxy-devel
BuildRequires:	librsvg2-devel >= 2.9.0
BuildRequires:  librtmp-devel
%if %{?_dist_release} != "vl5"
BuildRequires:	libssh2-devel
%endif
##!! BuildRequires:	libsysfs-devel
BuildRequires:  libshout-devel
BuildRequires:  libsmbclient-devel
##!! BuildRequires:	libtar-devel
BuildRequires:	libtheora-devel
##!! BuildRequires:	libtiger-devel
BuildRequires:  libtiff-devel
%if %{?_dist_release} != "vl5"
BuildRequires:	libudev-devel >= 142
%endif
BuildRequires:  libupnp-devel
BuildRequires:	libv4l-devel
%if %{?_dist_release} != "vl5"
BuildRequires:	libva-devel
%endif
BuildRequires:	libvorbis-devel
BuildRequires:  libxml2-devel
#BuildRequires:	lirc-devel
%{?_with_lirc:BuildRequires:	lirc}
# %if %with_internal_live555
# BuildConflicts: live-devel
# BuildConflicts: live555-devel
# %else
# BuildRequires:	live555-devel >= 0-0.19.2008.04.03
# %endif
BuildRequires:  kernel-headers >= 2.6.20
# BuildRequires:	libGL-devel
# BuildRequires:	libGLU-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  lua-devel
##!! BuildRequires:  minizip-devel
##!! BuildRequires:	mpeg2dec-devel >= 0.3.2
BuildRequires:	ncurses-devel
##!! BuildRequires:  opencv-devel
BuildRequires:	openslp-devel
BuildRequires:  pcre-devel
BuildRequires:  pulseaudio-libs-devel >= 0.9.8
##!! BuildRequires:  portaudio-devel
BuildRequires:  qt4-devel >= 4.5.2
##!! BuildRequires:  schroedinger-devel
BuildRequires:	SDL_image-devel
BuildRequires:	speex-devel >= 1.1.5
%ifarch %{ix86} x86_64
BuildRequires:  svgalib-devel
%endif
BuildRequires:  taglib-devel
BuildRequires:	twolame-devel
%if %{?_dist_release} != "vl5"
BuildRequires:	vcdimager-devel >= 0.7.21
%endif
#BuildRequires:	x264-devel >= 0-0.8.20061028
#BuildRequires:	x264-devel >= 0.0.0-2.20080225
BuildRequires:	xosd-devel
#BuildRequires:	xvidcore-devel
BuildRequires:	zlib-devel
##!! BuildRequires:  zvbi-devel

# X-libs
BuildRequires:	libXt-devel
BuildRequires:	libXv-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXvMC-devel
%if %{?_dist_release} != "vl5"
BuildRequires:  xcb-util-devel
%endif
BuildRequires:  xorg-x11-proto-devel

%if %with_mozilla
BuildRequires:  gecko-devel
BuildRequires:  nspr-devel
%endif

# # Now obsoleted as it will be built externally
# Obsoletes: java-vlc < 0.9.0
# Obsoletes: python-vlc < 0.9.0

# %if 0
# BuildRequires:  libgoom2-devel
# BuildRequires:  libggi-devel
# %endif

# %if %with_dc1394
# BuildRequires:  compat-libdc1394-devel
# BuildRequires:  compat-libraw1394-devel
# %else
BuildRequires:  libraw1394-devel
# %endif

#Requires: dejavu-fonts
Requires: TrueType-dejavu

## vine
BuildRequires:	libgcrypt-devel
BuildRequires:	wx-gtk2-devel
Requires:	mesa-libGL
BuildRequires:	xorg-x11-devel 
BuildRequires:	mesa-libGL-devel
# *-devel packages provided by other self-build-* should only be listed
# in self-build-%{name}.spec as PreReq.
##BuildRequires:	self-build-libmpeg2
##BuildRequires:	self-build-a52dec
##BuildRequires:	self-build-faac
##BuildRequires:	self-build-faad2
##BuildRequires:	self-build-ffmpeg >= 0.4.9
##BuildRequires:	self-build-libdca
##BuildRequires:	self-build-libdvbpsi
##BuildRequires:	self-build-libdvdnav
##BuildRequires:	self-build-libmad
##BuildRequires:	self-build-libmp4v2
##BuildRequires:	self-build-x264 >= 0.0.0-15.20110322
##BuildRequires:	self-build-xvidcore


%package devel
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}


%description
VLC (initially VideoLAN Client) is a highly portable multimedia player
for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast in
IPv4 or IPv6 on a high-bandwidth network.

%description devel
This package contains development files for VLC Media Player.

VLC (initially VideoLAN Client) is a highly portable multimedia player
for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast in
IPv4 or IPv6 on a high-bandwidth network.

%if %with_mozilla
%package -n mozilla-vlc
Summary:	VLC Media Player plugin for Mozilla compatible web browsers
Group:		Applications/Multimedia	
Requires:	%{name} = %{version}-%{release}
Requires:	%{_libdir}/mozilla/plugins

%description -n mozilla-vlc
This package contains a VLC Media Player plugin for Mozilla compatible
web browsers.

VLC (initially VideoLAN Client) is a highly portable multimedia player
for various audio and video formats (MPEG-1, MPEG-2, MPEG-4, DivX,
mp3, ogg, ...) as well as DVDs, VCDs, and various streaming protocols.
It can also be used as a server to stream in unicast or multicast in
IPv4 or IPv6 on a high-bandwidth network.
%endif

%if %with_dc1394
%package plugins-dc1394
Summary:	VLC Media Player Plugins for dc1394
Group:		Applications/Multimedia
Requires:	%{name}-core = %{version}
Requires:       compat-libdc1394-tools

%description plugins-dc1394
VLC plugins for libdc1394
%endif

%prep
%setup -q -n %{name}-%{version}
# %if %with_internal_live555
# %setup -q -D -T -a 2 -n %{name}-%{_version}
# %endif
%patch0 -p1 -b .noerror
%patch3 -p1 -b .hardode_path
%patch4 -p1 -b .tls_path
#%patch5 -p1 -b .opencv22

unzip %{SOURCE10}
patch -p1 < vlc_patch_0.02/vlc118.diff || exit 1

## vine
%if %{?_dist_release} == "vl5"
%patch50 -p1 -b .pulse
%endif

%__sed -i.dmo_pic -e 's/fno-PIC/fPIC/' libs/loader/Makefile.in

%__rm modules/access/videodev2.h
%__ln_s -f %{_includedir}/linux/videodev2.h modules/access/videodev2.h

%__rm aclocal.m4 m4/lib*.m4 m4/lt*.m4
./bootstrap


%build
# %if %with_internal_live555
# # Then bundled live555 - not needed
# pushd live
# # Force the use of our CFLAGS
# %{__perl} -pi -e 's|-O2|%{optflags} -fPIC -DPIC|g' config.linux
# # Configure and build
# ./genMakefiles linux && make
# popd
# %endif


%configure \
	--disable-dependency-tracking		\
	--with-pic				\
	--disable-rpath				\
	--enable-release			\
	--with-binary-version=%{version}-%{release} \
	--with-tuning=no			\
	--enable-switcher			\
	--enable-lua				\
        %{?_with_internal_live555:--enable-live555 --with-live555-tree=live} \
%if %with_dc1394
	--enable-dc1394				\
	--enable-dv				\
%endif
%if %{?_dist_release} != "vl5"
	--enable-libva				\
%endif
	--enable-dvdread --enable-dvdnav	\
	%{?_with_opencv:--enable-opencv} \
	--enable-sftp				\
	--enable-pvr				\
	--enable-gnomevfs			\
%if %{?_dist_release} != "vl5"
	--enable-vcdx				\
%endif
	--enable-cddax				\
	--enable-wma-fixed			\
	--enable-shine				\
	--enable-omxil				\
	--enable-faad				\
	--enable-twolame			\
	--enable-real --enable-realrtsp		\
	--enable-flac				\
	--enable-tremor				\
	--enable-speex				\
	--enable-tarkin				\
	--enable-theora				\
	%{?_with_dirac:--enable-dirac}		\
	--enable-libass				\
	--enable-shout				\
%if %{?_dist_release} != "vl5"
	--enable-xcb				\
%endif
	--enable-svg				\
	--enable-snapshot			\
%ifarch %{ix86} x86_64
	--enable-svgalib			\
	--enable-xvmc				\
%endif
	--enable-directfb			\
	--enable-aa				\
	%{?_with_caca:--enable-caca}	\
	--enable-jack				\
    %{?_with_portaudio:--enable-portaudio} \
	--enable-pulse				\
	--enable-ncurses			\
	--enable-xosd				\
	--enable-fbosd				\
	--enable-galaktos			\
	--enable-lirc		\
%ifarch %{ix86}
	--enable-loader				\
%else
	--without-contrib			\
%endif
%if %with_mozilla 
	--enable-mozilla			\
%endif
	--without-kde-solid			\
	;

# remove rpath from libtool
%__sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%__sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# # clean unused-direct-shlib-dependencies
# sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT

%__make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" CPPROG="cp -p"
find $RPM_BUILD_ROOT -name '*.la' -exec %__rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec %__rm -f {} ';'

desktop-file-install --vendor vine			\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	--delete-original				\
	--mode 644					\
	$RPM_BUILD_ROOT%{_datadir}/applications/vlc.desktop

# Remove installed fonts for skin2
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/vlc/skin2/fonts/*.ttf
%__ln_s -f ../../../fonts/dejavu/DejaVuSans.ttf \
  $RPM_BUILD_ROOT%{_datadir}/vlc/skins2/fonts/FreeSans.ttf
%__ln_s -f ../../../fonts/dejavu/DejaVuSans-Bold.ttf  \
  $RPM_BUILD_ROOT%{_datadir}/vlc/skins2/fonts/FreeSansBold.ttf

#Fix unowned directories
%__rm -rf $RPM_BUILD_ROOT%{_docdir}/vlc


%find_lang %{name}


%clean
%__rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :

/sbin/ldconfig

%postun
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :

/sbin/ldconfig


%posttrans
[ -f /var/lib/dbus/machine-id ] || \
    %{_bindir}/dbus-uuidgen > /var/lib/dbus/machine-id
%{_libdir}/vlc/vlc-cache-gen -f %{_libdir}/vlc &>/dev/null || :

%preun
if [ $1 == 0 ] ; then
  %__rm -rf %{_libdir}/vlc/plugins-*-*.dat
fi || :



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_bindir}/cvlc
%{_bindir}/nvlc
%{_bindir}/qvlc
%{_bindir}/rvlc
%{_bindir}/svlc
%{_bindir}/vlc-wrapper
%{_libdir}/vlc/
%{_bindir}/vlc
%{_datadir}/vlc/
%{_libdir}/*.so.*
%{_mandir}/man1/vlc.1*
%{_mandir}/man1/vlc-wrapper.1*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%dir %{_includedir}/vlc
%{_includedir}/vlc/*
%{_mandir}/man1/vlc-config.1*
%{_libdir}/*.so
%{_libdir}/pkgconfig/vlc-plugin.pc
%{_libdir}/pkgconfig/libvlc.pc

%if %with_mozilla
%files -n mozilla-vlc
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/libvlcplugin.so
%endif


%changelog
* Mon Apr 18 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.9-2
- added BuildRequires: unzip

* Sun Apr 17 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.9-1
- new upstream release

* Sat Apr 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.8-2
- applied vlc_patch_0.02/vlc118.diff in up0617.zip on 2sen.dip.jp/dtv

* Sat Mar 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.8-1
- new upstream release
- added BuildRequires:
  - libcddb-devel
  - libdc1394-devel >= 2.1.0
  - libmodplug-devel
  - libproxy-devel
  - librtmp-devel
  - libssh2-devel
  - libudev-devel >= 142
  - pcre-devel
  - vcdimager-devel >= 0.7.21
  - xcb-util-devel

* Sat Feb 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.7-1
- new upstream release
- dropped upstreamed patches
- applied a reverted patch to pulse.c for vl5

* Fri Feb 05 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.6-2
- backport lirc and signal fixes
- revived BuildRequires: lirc

* Tue Feb 01 2011 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.6-1
- new upstream release
- dropped temporarily BuildRequires: lirc
- added BuildRequires: libass-devel

* Sun Nov 21 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.5-1
- new upstream release

* Mon Aug 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.4-1
- new upstream release

* Sat Aug 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.2-1
- new upstream release

* Sun Jun 27 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-2
- for only vl6, supported libva

* Sat Jun 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.1.0-1
- new upstream release
- added BuildRequires: libva-devel

* Sat Mar 20 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-3
- change release to sync with self-build-vlc

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-2
- added BuildRequires: libsmbclient-devel

* Wed Feb 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.5-1
- new upstream release

* Sat Jan 16 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-2
- built with libdvbpsi-devel
- dropped 0002-Default-aout-for-pulse.patch

* Tue Jan 05 2010 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.4-1
- new upstream release
- updated 0002-Default-aout-for-pulse.patch

* Tue Nov 10 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-2
- change release to sync with self-build-vlc

* Sun Nov 01 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.3-1
- new upstream release
- added BuildRequires: libmtp-devel

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-2
- change release to sync with self-build-vlc

* Sat Sep 26 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.2-1
- new upstream release
  - applied vlc-1.0.2-compiler.patch from RPM Fusion
    - Workaround the compiler bug on x86 x86_64 by disabling optimization
- added BuildRequires: lua-devel
- TODO: libass

* Fri Jul 31 2009 Munehiro Yamamoto <munepi@vinelinux.org> 1.0.1-1
- new upstream release

* Sat Jul 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-2
- change release to sync with self-build-vlc

* Wed Jul 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 1.0.0-1
- new upstream release
- clean-up some old patches and merged some patches from RPM Fusion package
- added vlc-trunk-default_font-vine.patch
- added vlc-handlers.schemas
  - Gonf2 url-handler support
- added shine.c, enc_base.h
  - missing sources
- added --enable-wma-fixed --enable-shine in configure options

* Sun Jun 07 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.9a-3
- change release to sync with self-build-vlc

* Sat May 23 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-2
- rebuild with x264 >= 0.0.0-9.20090522

* Sat May 09 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.9a-1
- new upstream release
- s/TrueType-DejaVu/TrueType-dejavu/

* Sat Feb 14 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> - 0.9.8a-7
- corrected release number

* Sun Feb 08 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-5
- changed to PreReq:  self-build-faad2 from faad2-devel
- changed to PreReq:  self-build-libmad from libmad-devel

* Sun Feb 01 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-4
- self-build

* Wed Jan 21 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-3
- applied RPM Fusion patches: 
  - backport postproc fixes
  - Add pending 0.9-bugfix git branch
- added BuildRequires: 
  - twolame-devel 
  - libmpcdec-devel

* Sun Jan 11 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-2
- rebuild with x264

* Sat Dec 13 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.8a-1
- Update to 0.9.8a
- added BuildRequires: libmpeg2-devel
- added Requires: libmpeg2

* Mon Nov 24 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.6-2
- added BuildRequires:	libdvdread-devel
- added --enable-dvdread --enable-dvdnav in configure options

* Mon Nov 17 2008 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.9.6-1
- initial build based on RPM Fusion of Fedora

* Thu Nov  6 2008 kwizart < kwizart at gmail.com > - 0.9.6-1
- Update to 0.9.6

* Tue Oct 28 2008 kwizart < kwizart at gmail.com > - 0.9.5-3
- Rebuild for dependency

* Mon Oct 27 2008 kwizart < kwizart at gmail.com > - 0.9.5-2
- Fix ppc/ppc64 build

* Fri Oct 24 2008 kwizart < kwizart at gmail.com > - 0.9.5-1
- Update to 0.9.5
- Use non-default rpmbuild options for dirac kate lua
- Split core/nox (nox bundles directfb/svgalib)
- Fix Selinux denials (patches from gentoo).
- Fix spurious perms on qt4 sources.

* Wed Oct  8 2008 kwizart < kwizart at gmail.com > - 0.9.4-1
- Update to 0.9.4

* Mon Sep 29 2008 kwizart < kwizart at gmail.com > - 0.9.3-2
- Add libv4l2 patch from Hans de Goede

* Fri Sep 26 2008 kwizart < kwizart at gmail.com > - 0.9.3-1
- Update to 0.9.3 (final)
- Few others move from core to main

* Mon Sep 15 2008 kwizart < kwizart at gmail.com > - 0.9.2-1
- Update to 0.9.2 (final)

* Sat Aug  2 2008 kwizart < kwizart at gmail.com > - 0.9.0-0.5.20080802git
- Update to 0.9.0-20080802git

* Sun Jul 13 2008 kwizart < kwizart at gmail.com > - 0.9.0-0.4.20080713git
- Update to 0.9.0-20080713git

* Thu Jul  3 2008 kwizart < kwizart at gmail.com > - 0.9.0-0.3.20080703git
- Update to 0.9.0-20080703git
  http://mailman.videolan.org/pipermail/vlc-devel/2008-July/045911.html
- Conditionalize xvmc to exclude ppc

* Thu Jun 12 2008 kwizart < kwizart at gmail.com > - 0.8.6h-2
- Fix libdvdnav (only) use.

* Fri Jun 6 2008 kwizart < kwizart at gmail.com > - 0.8.6h-1
- Update to 0.8.6h
- Use hicolor icons
- Add patch for new_x-content
  http://bugzilla.livna.org/show_bug.cgi?id=2003
- Fix VLC: HTTP access: cannot seek AVI
  http://bugzilla.livna.org/show_bug.cgi?id=2014
  
* Sun May 18 2008 kwizart < kwizart at gmail.com > - 0.8.6g-2
- Bump for official release

* Wed May 14 2008 kwizart < kwizart at gmail.com > - 0.8.6g-1
- Update to 0.8.6g
Security updates:
 * Removed VLC variable settings from Mozilla and ActiveX (CVE-2007-6683)
 * Removed loading plugins from the current directory (CVE-2008-2147)

Various bugfixes:
 * Fixed various memory leaks, improving stability when running as a server
 * Fixed compilation with recent versions of FFmpeg
 * Correctly parses SAP announcements from MPEG-TS
 * Fixed AAC resampling
 * The Fullscreen Controller appears correctly on Mac OS X,
   if the 'Always-on-top' video option was selected.

* Tue May 13 2008 kwizart < kwizart at gmail.com > - 0.8.6f-6
- Fix ffmpeg-compat with newest ffmpeg interaction

* Mon May 12 2008 kwizart < kwizart at gmail.com > - 0.8.6f-5
- Introduce 180_all_faad.patch
- Re-enable ffmpeg-compat for F-9

* Mon May 12 2008 Thorsten Leemhuis < fedora at leemhuis dot info > - 0.8.6f-4
- disable patch82 temporary

* Fri May  9 2008 kwizart < kwizart at gmail.com > - 0.8.6f-3
- Bugfixes patches for post f version
- Add vlvc 0.8 plugin support
- Add textrel fix from gentoo patch
- Improve libxul patch 

* Mon Apr  7 2008 kwizart < kwizart at gmail.com > - 0.8.6f-2
- Fix for wxGTK28 compatibility.
 Patch from Dominique Leuenberger <dominique@leuenberger.net

* Mon Apr  7 2008 kwizart < kwizart at gmail.com > - 0.8.6f-1
- Update to 0.8.6f (Final)
Security updates:
 * Really fixed subtitle buffer overflow (CVE-2007-6681)
 * Fixed Real RTSP code execution problem (CVE-2008-0073)
 * Fixed MP4 integer overflows (CVE-2008-1489)
 * Fixed cinepak integer overflow
Various bugfixes:
 * Fixed crashes in H264 packetizer
 * Close MMS access on network timeout
 * Fix some problems with AAC decoder & packetizer
- Remove java-vlc (will be built externally)
- Add clinkcc conditional/experimental support.

* Mon Feb 25 2008 kwizart < kwizart at gmail.com > - 0.8.6e-1
- Update to 0.8.6e (Final)
Security updates:
 * Subtitle demuxers overflow (CVE-2007-6681)
 * HTTP listener format string injection (CVE-2007-6682)
 * Fixed buffer overflow in the SDL_image library (CVE-2006-4484)
 * Real RTSP overflows (CVE-2008-0225, CVE-2008-0295,
   CVE-2008-0296, VideoLAN-SA-0801)
 * Arbitrary memory overwrite in the MP4 demuxer (CORE-2008-0130,
   VideoLAN-SA-0802)


* Mon Feb 25 2008 kwizart < kwizart at gmail.com > - 0.8.6e-0.3
- Update to svn20080225 from bugfix (pre 0.8.6e)

* Thu Feb 21 2008 kwizart < kwizart at gmail.com > - 0.8.6e-0.2
- Update to svn20080221 from bugfix (pre 0.8.6e)
- Updated merged pulseaudio patch
- Raise PA to be used by default.

* Mon Feb 18 2008 kwizart < kwizart at gmail.com > - 0.8.6e-0.1
- Update to pre0.8.6e
- Add pre PA patch (not merged yet)

* Sat Jan 19 2008 kwizart < kwizart at gmail.com > - 0.8.6d-4
- Patches from Jens Petersen <juhpetersen at gmail.com>
- Add wxGTK28 wip patch
- Conditionalize directfb and dirac 
- Change the default font to DejaVuSerif.ttf (dejavu-fonts)
- Add BR missing libmpeg4v2

* Thu Jan 10 2008 kwizart < kwizart at gmail.com > - 0.8.6d-3.1
- Remove BR portaudio arts
- Move skin2 to main vlc package
- Enable libopendaap (included within Fedora)

* Mon Dec  3 2007 kwizart < kwizart at gmail.com > - 0.8.6d-3
- Enable java-vlc (developer use only - java-icedtea).
- Fix arch detection for java headers

* Sat Dec  1 2007 kwizart < kwizart at gmail.com > - 0.8.6d-2
- Improve core/nox split

* Thu Nov 29 2007 kwizart < kwizart at gmail.com > - 0.8.6d-1
- Update to vlc 0.8.6d

* Tue Nov  6 2007 kwizart < kwizart at gmail.com > - 0.8.6c-10
- Split to core/nox package for server use.

* Tue Nov  6 2007 kwizart < kwizart at gmail.com > - 0.8.6c-9
- Raise ESD audio_output to be tried by default 
  (used by pulseaudio-esound-compat )

* Tue Nov  6 2007 kwizart < kwizart at gmail.com > - 0.8.6c-8
- Rebuild for libdca and faad2

* Mon Oct 22 2007 kwizart < kwizart at gmail.com > - 0.8.6c-7
- Rebuild for new libdvbpsi5-0.1.6

* Fri Oct 19 2007 kwizart < kwizart at gmail.com > - 0.8.6c-6
- Rebuild with the GPL compatible faad2
- Update the Dirac patch
- Fix livna #1668

* Sun Sep 23 2007 kwizart < kwizart at gmail.com > - 0.8.6c-5
- Prepare svn version
- Drop the python switch default
- Add BR directfb-devel 
- Improve timestamp
- Allow faad2 to be 2.5 (license change is known GPL compatible).

* Thu Aug 23 2007 kwizart < kwizart at gmail.com > - 0.8.6c-4
- Change default font to dejavu-lgc/DejaVuLGCSerif.ttf
  http://bugzilla.livna.org/show_bug.cgi?id=1605
- Remove unneeded fonts provided by skin2

* Tue Aug 14 2007 kwizart < kwizart at gmail.com > - 0.8.6c-3.2
- clean-up with svn
- patch smb.c for call_open (from rdieter advice)
- Update license field to GPLv2

* Sun Aug 12 2007 kwizart < kwizart at gmail.com > - 0.8.6c-3.1
- Fix libtool with shared libs when python-vlc is used
  http://bugzilla.livna.org/show_bug.cgi?id=1590
- Fix desktop file to be GNOME HIG compliant
  http://bugzilla.livna.org/show_bug.cgi?id=1591

* Tue Jul 31 2007 kwizart < kwizart at gmail.com > - 0.8.6c-3
- Switch for python-vlc
- Add bugfix patch pre_d
- Fix version field for desktop file.
- Fix ivtv support with updated patch for new videodev2.h
- Clean old Obsoletes/Provides for name 8.1
- Rebuild with firefox-devel 2.0.0.5
- Patch/rebuild with libcdio 0.78.2
- Add mesa's BR
- Add BR libXvMC-devel for svn

* Tue Jun 26 2007 kwizart < kwizart at gmail.com > - 0.8.6c-2
- Update to new libupnp

* Sat Jun 16 2007 kwizart < kwizart at gmail.com > - 0.8.6c-1
- Update to 0.8.6c (final)
- Add patch to uses v4l2 header for new v4l2 encoder API.

* Sat Jun 16 2007 kwizart < kwizart at gmail.com > - 0.8.6c-0.1
- Update to 0.8.6c (bugfix) 20060616
- Drop FLAC, automake110, wxGTK for 2.8, faad2
- Uses shared ffmpeg.

* Thu Jun  7 2007 kwizart < kwizart at gmail.com > - 0.8.6b-6
- Rebuild for F-7 (compat-wxGTK26)

* Mon Jun  4 2007 kwizart < kwizart at gmail.com > - 0.8.6b-5.3
- Uses only -fPIC to prevent Selinux context problems...
- Uses compat-wxGTK26-devel on Fedora 7
- Leave libcorba for now...
  (libquicktime_plugin seems also broken - confirmed by upstream)
- Change static_live555 to internal_live555.
  needed for testing - uses live-devel for livna releases.

* Sat May 19 2007 kwizart < kwizart at gmail.com > - 0.8.6b-5
- Removed no more needed Selinux Context:
  fixed in http://bugzilla.redhat.com/237473

* Sun May 13 2007 kwizart < kwizart at gmail.com > - 0.8.6b-4
- Disabled pth (broken) and...
- Build ffmpeg static (since shared ffmpeg is pth enabled).
- Add post & postun update-desktop-database
- Update static ffmpeg to 20070503 (same as shared version)

* Sun May 13 2007 kwizart < kwizart at gmail.com > - 0.8.6b-3.3
- Test static updated live555

* Sat May 12 2007 kwizart < kwizart at gmail.com > - 0.8.6b-3.2
- Update to the new ffmpeg with pth (testing - wip )

* Fri May  4 2007 kwizart < kwizart at gmail.com > - 0.8.6b-3.1
- Add BR libebml-devel
- Add BR Glide3-devel
- Add BR gnome-vfs2-devel
- Add BR libxml2-devel
- Fix BR faad2-devel < 2.5
- Add rpmfusion BR libopendaap-devel
- Add rpmfusion BR libgoom2-devel
- Add rpmfusion BR libdc1394-devel
- Exclude corba plugin (broken)
- Add relatives %%configure options
- Comment Glide3 (don't work now - wip)

* Thu May  3 2007 kwizart < kwizart at gmail.com > - 0.8.6b-3
- Enable --enable-pth with ffmpeg
  bump release in case testing take much time.

* Thu May  3 2007 kwizart < kwizart at gmail.com > - 0.8.6b-1.3
- Fix Selinux remain quiet with semanage

* Tue May  1 2007 kwizart < kwizart at gmail.com > - 0.8.6b-1.2
- Few improvements for svn version
- Add missing BR ORBit2-devel and pyorbit-devel
- Improved post preun postun section with help from Anvil.

* Mon Apr 30 2007 kwizart < kwizart at gmail.com > - 0.8.6b-1.1
- Add missing BR libtiff-devel
- Fix Selinux buglet when Selinux is not activated
  was https://bugzilla.livna.org/show_bug.cgi?id=1484

* Sat Apr 21 2007 kwizart < kwizart at gmail.com > - 0.8.6b-1
- Update to Final 8.6b
- Enable Dirac codec
- Fix mozilla-vlc libXt.so loading 
  (removing mozilla-sdk since using firefox sdk >= 1.5)
- Fix SeLinux context for dmo plugin. Was:
  https://bugzilla.livna.org/show_bug.cgi?id=1404
- Enabled cddax only for x86_64 (broken type).

* Wed Apr 18 2007 kwizart < kwizart at gmail.com > - 0.8.6b-0.3
- Fix BR for libsmbclient-devel for Fedora 7
- Update to 0.8.6-bugfix-20070418
- Add BR libraw1394-devel
- Add BR libavc1394-devel

* Mon Apr 16 2007 kwizart < kwizart at gmail.com > - 0.8.6b-0.2
- Fix svgalib-devel only for x86 x86_64
- Fix firefox-devel headers presence/usability. This remains:
 npapi.h: accepted by the compiler, rejected by the preprocessor!
 npapi.h: proceeding with the compiler's result

* Sat Apr 14 2007 kwizart < kwizart at gmail.com > - 0.8.6b-0.1
- Update to rc 0.8.6b (bugfix)
- Hack configure.ac script (it didn't detect firefox headers)
- Add BR libshout-devel
- Add BR svgalib-devel
- Add BR gtk2-devel
- Add BR directfb-devel (wip)
- Add BR libnotify-devel
- Enabled --enable-speex
- Testing --enable-portaudio not usefull (oss is deprecated)
- Enabled --enable-pda
- Testing --enable-directfb (wip)
- Removed patch5 (was format.c)

* Thu Apr  5 2007 kwizart < kwizart at gmail.com > - 0.8.6a-5
- Use system ffmpeg lib (pth and libtool seems to be incompatible with it)
- Dirac seem to compile fine but testing usability for now.
- Cache isn't usefull for now (and won't be since using system libs)
- Exclude %%{_bindir}/vlcwrapper.py? since this is the guideline about python for now.

* Mon Apr  2 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.6
- Fix %%{_libdir}/advene directory ownership from: #1458
- Fix .py? presence and perm (644)
- Remove .la after make install
- Add --disable-pth (broken for release and svn)
  
* Sat Mar 24 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.5
- Test dirac (disabled mozilla )
- Test Updated static live555 to 2007.02.22
- Clean up svn to release changes

* Tue Mar 22 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.4
- WIP changes - ld.conf is unusefull...

* Wed Mar 21 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.3
- Revert back to the static vlc version 
 ( will explore this with ld.conf later )

* Wed Mar 21 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.2
- Fix .desktop file
- Disable broken libtool 
- Quick fixes for svn/cache prepare
- Patch format_c
- Fix rpmlint error with python-vlc

* Tue Mar 20 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4.1
- Enable cache for static compilation - wip

* Fri Mar  9 2007 kwizart < kwizart at gmail.com > - 0.8.6a-4
- Enable conditionnal build for
	* mozilla-vlc, java-vlc, dirac
	* ffmpeg and live static
- Enable pth
- Enable gnu_ld

* Thu Mar  8 2007 kwizart < kwizart at gmail.com > - 0.8.6a-3.1
- Fix firefox-devel detection when avaible both i386 and x86_64
  http://bugzilla.livna.org/show_bug.cgi?id=1442

* Thu Mar  8 2007 kwizart < kwizart at gmail.com > - 0.8.6a-3
- Recover patch3 from Ville Skytt辰
- Fix FLAC api change see
 http://bugzilla.livna.org/show_bug.cgi?id=1433

* Thu Mar  8 2007 kwizart < kwizart at gmail.com > - 0.8.6a-2
- Update ffmpeg to 20070308
- Enabled static build for internal ffmpeg (x264 vlc modules)
- Fixed: some configure options has changed for ffmpeg

* Sat Mar  3 2007 Thorsten Leemhuis <fedora at leemhuis dot info> - 0.8.6a-1.2
- Rebuild

* Sun Feb  4 2007 Ville Skytt辰 <ville.skytta at iki.fi> - 0.8.6a-1.1
- Fix aclocal/automake fix for automake 1.10 without breaking it for earlier.

* Sun Feb  4 2007 Ville Skytt辰 <ville.skytta at iki.fi> - 0.8.6a-1
- Build internal copy of ffmpeg with $RPM_OPT_FLAGS.
- Don't hardcode path to firefox headers.
- Drop Application and X-Livna categories from desktop entry.
- Clean up some unneeded cruft from specfile.
- Fix aclocal/automake calls during bootstrap.
- Let rpmbuild strip MediaControl.so.

* Sat Feb  3 2007 kwizart < kwizart at gmail.com > - 0.8.6a-0.4.static
- Internal static build of ffmpeg from Matthias version.

* Fri Jan 19 2007 kwizart < kwizart at gmail.com > - 0.8.6a-0.3
- Re-enabled mozilla-vlc
- use ifarch ix86

* Sat Jan 13 2007 kwizart < kwizart at gmail.com > - 0.8.6a-0.2
- Import patches from Matthias version
- try to fix firefox includes for mozilla-vlc -> disabled

* Wed Jan 10 2007 kwizart < kwizart at gmail.com > - 0.8.6a-0.1
- Try to Fix run with libavformat.so.51
- disabled

* Mon Jan  8 2007 kwizart < kwizart at gmail.com > - 0.8.6-5
- Update to BR bugzilla infos.
- Fix perms with python and debug headers.
- Cleaned obsolete-not-provided

* Fri Jan  5 2007 kwizart < kwizart at gmail.com > - 0.8.6-4
- Use BuildConflics with libcdio
- Enabled --enable-cddax
- Enabled --enable-vcdx
-  waiting --enable-quicktime (build fails)

* Fri Jan  5 2007 kwizart < kwizart at gmail.com > - 0.8.6-3
  with help from Rathan
- Update to 0.8.6a (security update!)
  from http://www.videolan.org/sa0701.html - #1342
- Add version to desktop file
- Fix dual shortcuts / Add MimeType

* Wed Jan  3 2007 kwizart < kwizart at gmail.com > - 0.8.6-2
 with help from Rathan
- Enabled --enable-shout
- Enabled --enable-quicktime (x86 only !) 
- Enabled --enable-loader (x86 only !)
- Enabled --with-wine-sdk-path (x86 only !)
- Enabled --enable-corba
-  testing --enable-dirac (libdirac-devel reviewing in extra)
   http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=221405
- Enabled --enable-mediacontrol-python-bindings
- Cosmetic changes in BR

* Mon Dec 11 2006 kwizart < kwizart at gmail.com > - 0.8.6-1.fc6
- Update to 8.6 final
- Change deprecated livdotcom to live555
- build shared librairies is default since 8.6
- Enabled --enable-dvdread
- Enabled --enable-faad
- Enabled --enable-twolame
-   waiting --enable-quicktime (problem finding xqtsdk )
- Enabled --enable-real
- Enabled --enable-realrtsp
- Enabled --enable-tremor
- Enabled --enable-tarkin
-   waiting --enable-dirac (TODO libdirac-devel )
- Enabled --enable-snapshot
- Enabled --enable-portaudio
- Enabled --enable-jack
- Enabled --enable-galaktos
-   waiting --enable-mediacontrol-python-bindings (default install error)
-   waiting --enable-cddax (new version of libcdio 0.78.2)
-   waiting --enable-vcdx (new version of libcdio 0.78.2)

* Mon Dec 04 2006 kwizart < kwizart at gmail.com > - 0.8.6-rc1.1.fc6
- Update to 8.6rc1
- disable components in mozilla-vlc
- disable libvlc_pic.a in devel
- Enable x264-devel for static linking.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.8.5-6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 25 2006 Dams <anvil[AT]livna.org> - 0.8.5-5
- BuildReq:libtool

* Sun Sep 24 2006 Dams <anvil[AT]livna.org> - 0.8.5-4
- Fixed the mozilla plugin damn build 

* Sat Sep  9 2006 Dams <anvil[AT]livna.org> - 0.8.5-3
- sysfsutils-devel -> libsysfs-devel

* Sat Sep  9 2006 Dams <anvil[AT]livna.org> - 0.8.5-1
- Updated to 0.8.5
- Fixed MOZVER value in case more than one mozilla is installed.
- Dropped patches 1, 2 and 3

* Wed Aug 16 2006 Ville Skytt辰 <ville.skytta at iki.fi> - 0.8.4a-2
- Adjust for new live package, enable it on all archs.

* Fri Apr 14 2006 Ville Skytt辰 <ville.skytta at iki.fi> - 0.8.4a-1
- Apply upstream patch to fix linking with newer ffmpeg/postproc.
- Drop no longer needed build conditionals and build dependencies.
- Enable Avahi, Musepack, SLP and sysfs support, fix SDL and Xv.
- Install icon to %%{_datadir}/icons/hicolor.
- Drop zero Epoch remainders.
- Fix -devel obsoletes.
- Specfile cleanups.

* Fri Mar 24 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.8.4-9.a
- rebuild 

* Tue Mar 21 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.4-8.a
- fix #775

* Mon Mar 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.4-7.a
- add -fPIC for all arches

* Mon Mar 20 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.4-6.a
- fix build on ppc/i386

* Thu Mar 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.4-5.a
- fix BR

* Wed Mar 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.4-4.a
- make vlc build again

* Tue Mar 14 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.8.4-3.a
- drop "0.lvn" from release

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Mon Jan 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.8.4-0.lvn.3.a
- add all BRs the new ffmpeg needs

* Fri Jan 06 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.8.4-0.lvn.2.a
- add buildoption "--without mkv" -- ebml in FC3 is to old
- add buildoption "--without svg" -- does not build with svg on FC3-x86-64

* Thu Jan 05 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.8.4-0.lvn.1.a
- Update to 0.8.4a [with help from che (Rudolf Kastl)]
- Fix x64
- drop Epoch
- drop vlc-0.8.2-test2-altivec.patch, seems they worked on this
- use " --disable-libcdio" until we update to wxGTK2 2.6
- use "--disable-livedotcom" on x86_64 (does not build)

* Sat Aug  6 2005 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.8.2-0.lvn.4
- Fix "--without cddb" build when libcddb-devel is installed.
- BuildRequire live-devel instead of live.

* Wed Aug  3 2005 Dams <anvil[AT]livna.org> - 0:0.8.2-0.lvn.3
- Rebuilt *without* libcddb
- Rebuilt against new libdvbpsi

* Thu Jul 28 2005 Dams <anvil[AT]livna.org> - 0:0.8.2-0.lvn.2
- Rebuilt against new libcddb/libcdio

* Sat Jul  9 2005 Dams <anvil[AT]livna.org> - 0:0.8.2-0.lvn.1
- Updated to final 0.8.2

* Mon Jun  6 2005 Ville Skytt辰 <ville.skytta at iki.fi> 0:0.8.2-0.lvn.0.1.test2
- Update to 0.8.2-test2, rename to vlc, improve summaries and descriptions.
- Enable many more modules, many small improvements and cleanups here and there
- Use unversioned install dir for the Mozilla plugin, rename to mozilla-vlc.
- Drop < FC3 compatiblity due to unavailability of required lib versions.
- Fold wx and ncurses to the main package (upstream has retired the
  VLC Gnome and KDE UI's, so separate UI packages don't have a purpose
  any more).

* Sat Sep 11 2004 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.7.2-0.lvn.7
- Remove dependency on libpostproc-devel, it's now in ffmpeg-devel (bug 255).

* Thu Sep  2 2004 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.7.2-0.lvn.6
- BuildRequire alsa-lib-devel, was lost in previous update (bug 258).
- Add libcdio and libmodplug build dependencies.
- Tweak descriptions, remove unnecessary conditional sections.
- Disable dependency tracking to speed up the build.

* Sun Aug 29 2004 Ville Skytt辰 <ville.skytta at iki.fi> - 0:0.7.2-0.lvn.5
- Use system ffmpeg (>= 0.4.9), and make it, ALSA, and fribidi unconditional.
- Build with theora by default.
- Change default font to Vera serif bold.
- Enable pvr support for Hauppauge card users (thanks to Gabriel L. Somlo).

* Mon Jul  5 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.4
- Enabled libcddb support

* Wed Jun 30 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.3
- speex now conditional and default disabled since vlc requires
  development version. 

* Wed Jun 30 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.2
- Optional Fribidi and libtheora support (default disabled)

* Tue May 25 2004 Dams <anvil[AT]livna.org> 0:0.7.2-0.lvn.1
- Updated to 0.7.2

* Fri May  7 2004 Dams <anvil[AT]livna.org> 0:0.7.1-0.lvn.1
- BuildConflicts:ffmpeg
- Build against private ffmpeg snapshot

* Tue Mar  9 2004 Dams <anvil[AT]livna.org> 0:0.7.1-0.lvn.1
- Updated to 0.7.1
- Added live.com libraries support
- Added matroska support

* Sun Jan  4 2004 Dams <anvil[AT]livna.org> 0:0.7.0-0.lvn.1
- Updated to 0.7.0
- s/fdr/lvn

* Wed Dec 10 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.7
- Conditional ffmpeg build option (default enabled)

* Fri Sep  5 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.6
- pth support now default disabled 

* Fri Sep  5 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.5
- slp support can now be not-build with '--without slp'

* Thu Sep  4 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.4
- Added missing defattr for subpackages
- Fixed permissions on mozilla plugin
- fixed build failure due to typos in ncurses changes
- Removed useless explicit 'Requires:' in subpackages declarations

* Tue Sep  2 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.3
- Added builddep for libpng-devel and openslp-devel 
- Added gnome (default:enabled) and ncurses (default:disabled)
  subpackages
- Removed macros (mkdir/install/perl)
- Modified descriptions
- Removed gtk/gnome2 build deps
- Added conditionnal (default-disabled) build option for alsa
- Added conditionnal builddep for pth-devel

* Fri Aug 22 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.2
- Added missing BuildRequires for gtk+-devel

* Thu Aug 14 2003 Dams <anvil[AT]livna.org> 0:0.6.2-0.fdr.1
- Updated to 0.6.2
- Hopefully fixed 'if' conditions for optional buildrequires

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:0.6.0-0.fdr.3
- Providing vlc 

* Tue Jul  8 2003 Dams <anvil[AT]livna.org> 0:0.6.0-0.fdr.2
- Moved desktop entry from devel to main package (stupid me)

* Mon Apr 28 2003 Dams <anvil[AT]livna.org> 
- Initial build.
