%define python_platlib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)') 
Name: python-pykf
Version: 0.3.4
Release: 5%{?_dist_release}
License: BSD like
URL: http://www.gembook.jp/tsum/page.pys?wiki=PyKf
Source0: http://www.gembook.jp/html/download/pykf-%{version}.tgz
BuildRequires: python-devel
BuildRequires: nkf
Requires(pre): nkf
Requires: python >= 2.3
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Distribution: Vine Linux
Vendor: Project Vine
Packager: owa

#----------------------------------------------------------------------
Summary: Python kanji-code module
Summary(ja): Python 漢字コード変換モジュール
Group: Development/Libraries

%description
pykf is a japanese code exchange filter for python.
%description -l ja
pykf は ShiftJIS, EUC-JP, JISコードを相互に変換するためのモジュールです.

%prep
%setup -n pykf-%{version}
nkf -e readme.sjis > readme.euc

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{python_platlib}/*.so
%{python_platlib}/*.egg-info
%doc readme.euc

%changelog
* Sun May 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.4-5
- add BuildRequires: python-devel, nkf

* Mon May 02 2011 Shu KONNO <owa@bg.wakwak.com> 0.3.4-4
- rebuilt

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.3.4-3
- rebuild with python-2.6

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-2vl5
- rebuilt with python-2.5.2

* Thu Jul 17 2008 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-1vl5
- applied new versioning policy and spec in utf-8
- added python_platlib macro

* Sat May 28 2005 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.4-0vl1
- changed spec for vine seed
- updated pykf to 0.3.4

* Mon Mar 21 2005 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3-uvl3
- rebuild with python 2.4

* Mon Apr 19 2004 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3-uvl2
- rebuild with python-2.3.3-0vl1

* Sat Feb 28 2004 Shu KONNO <owa@bg.wakwak.com> python2.3-pykf-0.3.3-uvl1
- renamed

* Sat Sep  6 2003 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.3
- modified

* Sat Apr 19 2003 Shu KONNO <owa@bg.wakwak.com> python-pykf-0.3.0-1
- created

