##%define __python python%(python -c 'import sys;print(sys.version[0:3])')
##%define python_sitelib %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(0)')
##%define python_sitearch %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

Summary: Spam classification system
Summary(ja): スパムフィルタ・システム
Name: spambayes
Group: Applications/Internet
Version: 1.0.4
Release: 5%{?_dist_release}
URL: http://spambayes.sourceforge.net/
License: PSF (Python Software Foundation) - see LICENSE
BuildArch: noarch
Source0: spambayes-%{version}.tar.gz
Source1: SplitterForU.py
Patch0: spambayes-1.0.4.ProxyUI-iso2022jp.patch
Patch1: spambayes-1.0.4.PyMeldLite-iso2022jp.patch
Patch2: spambayes-1.0.4.tokenizer-iso2022jp.patch
Patch3: spambayes-1.0.4.Dibbler-iso2022jp.patch
Patch4: spambayes-1.0.4.ImapUI-RFC2060.patch
Patch5: spambayes-1.0.4.classifier.patch

#Prereq: python
Requires: python >= 2.2
BuildRequires: python-devel

Packager: <owa>
Vendor: Project Vine
Distribution: Vine Linux
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SpamBayes is a tool used to segregate unwanted mail (spam) from the mail you
want (ham).  Before SpamBayes can be your spam filter of choice you need to
train it on representative samples of email you receive.  After it's been
trained, you use SpamBayes to classify new mail according to its spamminess
and hamminess qualities.

%description -l ja
SpamBayes は迷惑メール(spam)を、必要なメール(ham)から区別するための道具です。
SpamBayes をスパムフィルタとして使うには、過去に受け取ったメールを使ってトレ
ーニングする必要があります。一旦、教え込んでしまえば、新しいメールをスパム度
や、優良度をもとに分類するために使用できます。

%prep
%setup -q
%patch0 -p1 -b .ProxyUI-iso2022jp
%patch1 -p1 -b .PyMeldLite-iso2022jp
%patch2 -p1 -b .tokenizer-iso2022jp
%patch3 -p1 -b .Dibbler-iso2022jp
%patch4 -p1 -b .ImapUI-RFC2060
%patch5 -p1 -b .classifier

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{python_sitelib}/spambayes
python setup.py install --prefix=$RPM_BUILD_ROOT/usr
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{python_sitelib}/spambayes

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{python_sitelib}/spambayes
%{python_sitelib}/spambayes-%{version}-py%{pyver}.egg-info
%{_bindir}/*
%defattr(-, root, root, 755)
%doc *.txt PKG-INFO

%changelog
* Thu Apr 28 2011 Shu KONNO <owa@bg.wakwak.com> 1.0.4-5
- rebuilt with python-2.6.6

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 1.0.4-4
- rebuilt with python-2.6.4

* Fri Aug 07 2009 Shu KONNO <owa@bg.wakwak.com> - 1.0.4-3
- added BR: python-devel
- dropt local macros

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.4-2vl5
- rebuilt with python-2.5.2

* Sat Jun 14 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.4-1vl5
- applied new versioning policy and spec in utf-8
- added python_sitelib macro

* Tue Oct 31 2006 Shu KONNO <owa@bg.wakwak.com> 1.0.4-0vl4
- updated Patch2: spambayes-1.0.4.tokenizer-iso2022jp.patch
- added Patch5: spambayes-1.0.4.classifier.patch

* Sat May 20 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.4-0vl3
- changed Group to Applications/Internet

* Sun Sep 11 2005 Shu KONNO <owa@bg.wakwak.com> 1.0.4-0vl2
- released new spambayes package
- added Source1: SplitterForU.py
- added Patch0: spambayes-1.0.4.ProxyUI-iso2022jp.patch
- added Patch1: spambayes-1.0.4.PyMeldLite-iso2022jp.patch
- added Patch2: spambayes-1.0.4.tokenizer-iso2022jp.patch
- added Patch3: spambayes-1.0.4.Dibbler-iso2022jp.patch
- added Patch4: spambayes-1.0.4.ImapUI-RFC2060.patch

