Summary: Gcompris educational software suite
Summary(ja): Gcompris 知育用ソフトウェア・スィート
Name:           gcompris
Version:        8.4.12
Release:        2%{?_dist_release}
License:        GPLv2
URL:            http://gcompris.net/
Group:          Applications/Edutainment
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  gtk2-devel gdk-pixbuf-devel libgnomecanvas-devel
BuildRequires:  glib2-devel intltool SDL-devel gnuchess sqlite3-devel
BuildRequires:  SDL_mixer-devel gnet2-devel pygtk2-devel texi2html
BuildRequires:  gstreamer-devel
# for info file
BuildRequires:  texinfo
Requires:       sqlite3 gnuchess SDL gtk2 SDL_mixer smpeg 
Requires:       libgnomecanvas gnet2 tuxpaint
Requires(post,preun): install-info
Source0:        http://sourceforge.net/projects/gcompris/files/gcompris/%{name}-%{version}.tar.gz
Source1:        gcompris-ja-8.4.12-0.5.po

%description
GCompris is a high quality educational software suite comprising of numerous activities for children aged 2 to 10.

%description -l ja
GCompris は、主に 2歳〜10歳位の子供を対象とした、多数の科目を含む高品質な
知育用ソフトウェア・スィートです。

%prep
%setup -q
cp -f %{SOURCE1} po/ja.po

%build
%configure  --enable-gnet

%__make

%install
rm -rf $RPM_BUILD_ROOT

%__make DESTDIR=$RPM_BUILD_ROOT install
%{find_lang} %{name}

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gcompris.info.gz

%preun
/sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gcompris.info.gz

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog
%{_bindir}/*
%{_infodir}/gcompris.info.gz
%{_datadir}/pixmaps/*
%{_datadir}/man/*
%{_datadir}/gcompris/*
%{_datadir}/applications/*
%{_libdir}/*

%changelog
* Tue Apr  5 2011 IWAI, Masaharu <iwai@alib.jp> 8.4.12-2
- build with python 2.6
- add BuildRequires: texinfo: for info file
- using find_lang rpm macro
- using Requires(post,preun): replace Prereq for install-info

* Sat Jul  4 2009 KATO Masashi <mkato@par.odn.ne.jp> 8.4.12-1
- initial build for Vine Linux

