Summary: Automatic install of dependencies via CPAN 
Name: perl-ExtUtils-AutoInstall
Version: 0.63
Release: 1%{?_dist_release}
License: Artistic
Group: Development/Libraries
Source0: http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/ExtUtils-AutoInstall-%{version}.tar.gz
URL: http://www.cpan.org/dist/ExtUtils-AutoInstall/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.0, perl-version >= 0.28
Requires: perl >= 5.8.0, perl-version >= 0.28
Vendor: Project Vine
Distribution: Vine Linux
BuildArch: noarch

%description
This is the README file for ExtUtils::AutoInstall, a module to
let Makefile.PL automatically install dependencies via CPAN or
CPANPLUS.

%prep
%setup -q -n ExtUtils-AutoInstall-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor << _OPT_
n
_OPT_

make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_prefix}
make DESTDIR=%{buildroot} install

rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod
rm -f %{buildroot}%{perl_vendorarch}/auto/ExtUtils/AutoInstall/.packlist

find %{buildroot}%{_prefix} -type f -print | 
        sed "s@^%{buildroot}@@g" | 
	grep -v perllocal.pod |
	grep -v ^%{_mandir} > %{name}.files
if [ "$(cat %{name}.files)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

perllocalfile=`find %{buildroot} -name perllocal.pod`
echo "mv $perllocalfile ."
mv $perllocalfile .

%clean 
rm -rf %{buildroot}

%check
make test


%files -f %{name}.files
%defattr(-,root,root)
%doc AUTHORS Changes META.yml README SIGNATURE TODO perllocal.pod
%{_mandir}/*/*
%dir %{perl_vendorlib}/ExtUtils

%changelog
* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 0.63-1
- build with perl 5.12.3
- apply new versioning policy

* Fri Feb 16 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.63-0vl1
- new upstream release
- changed Group to Development/Libraries

* Sat Dec  4 2004 IWAI, Masaharu <iwai@alib.jp> 0.61-0vl1
- new upstream release
- build on perl-5.8.6-0vl1

* Sun Jul  6 2003 IWAI Masaharu <iwai@alib.jp> 0.52-0vl1
- first build for Vine Linux

